Karia
ReferencesOpenapiNovated asset

List novated asset budgets

GET
/organisation/{orgId}/workspace/{workspaceId}/novated-asset/{assetId}/budget

List operating budgets for a novated asset in the specified organisation and workspace, with optional status and pagination filters.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
assetId*string

Query Parameters

status?string
page?number
Default1
Range1 <= value
limit?number
Default10
Range1 <= value <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/novated-asset/string/budget"
{
  "items": [
    {
      "id": 0,
      "referenceId": "string",
      "name": "string",
      "status": "string",
      "type": "string",
      "durationInMonths": 0,
      "totalBudgetCostExGst": "string",
      "totalBudgetCostGst": "string",
      "monthlyBudgetExGst": "string",
      "monthlyBudgetGst": "string",
      "startDate": "string",
      "endDate": "string",
      "lineItems": [
        {
          "id": 0,
          "type": "string",
          "description": "string",
          "status": "string",
          "amountExGst": "string",
          "amountGst": "string",
          "monthlyExGst": "string",
          "monthlyGst": "string"
        }
      ]
    }
  ],
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "totalPages": 0
  }
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}